package com.hw.ems.api.domain;

import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 能源类型信息对象 base_energy_type
 *
 * @author sf
 * @date 2023-04-20
 */
public class BaseEnergyType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增标识 */
    private Long objid;

    /** 能源类型编号 */
    @Excel(name = "能源类型编号")
    private Long energyTypeId;

    /** 能源类型名称 */
    @Excel(name = "能源类型名称")
    private String energyName;

    /** 单位 */
    @Excel(name = "单位")
    private String measureUnit;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal price;

    /** 权限标识（部门） */
    @Excel(name = "权限标识", readConverterExp = "部=门")
    private Long deptId;

    /** 权限标识（用户） */
    @Excel(name = "权限标识", readConverterExp = "用=户")
    private Long userId;

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setEnergyTypeId(Long energyTypeId)
    {
        this.energyTypeId = energyTypeId;
    }

    public Long getEnergyTypeId()
    {
        return energyTypeId;
    }
    public void setEnergyName(String energyName)
    {
        this.energyName = energyName;
    }

    public String getEnergyName()
    {
        return energyName;
    }
    public void setMeasureUnit(String measureUnit)
    {
        this.measureUnit = measureUnit;
    }

    public String getMeasureUnit()
    {
        return measureUnit;
    }
    public void setPrice(BigDecimal price)
    {
        this.price = price;
    }

    public BigDecimal getPrice()
    {
        return price;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("energyTypeId", getEnergyTypeId())
            .append("energyName", getEnergyName())
            .append("measureUnit", getMeasureUnit())
            .append("price", getPrice())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
